<?php
if( !class_exists( 'WooCommerce' ) )
{
	return;
}

//seopress_product_per_page
$seopress_product_per_page = absint( get_theme_mod( 'seopress_product_per_page', '12' ) );
add_filter( 'loop_shop_per_page', create_function( '$cols', 'return ' . $seopress_product_per_page . ';' ), 20 );


//seopress_related_product_per_column
if( !function_exists( 'seopress_related_products_args' ) )
{
	function seopress_related_products_args( $args )
	{
		$args['posts_per_page'] = absint( get_theme_mod( 'seopress_product_per_column', '4' ) );
		$args['columns'] = 1;
		return $args;
	}
}
add_filter( 'woocommerce_output_related_products_args', 'seopress_related_products_args' );


//seopress_product_per_column
if( !function_exists( 'seopress_loop_columns' ) )
{
	function seopress_loop_columns()
	{
		return absint( get_theme_mod( 'seopress_product_per_column', '4' ) );
	}
}
add_filter('loop_shop_columns', 'seopress_loop_columns');


//seopress_remove_wc_breadcrumbs
if( get_theme_mod( 'seopress_display_wc_breadcrumbs', '0' ) == 0 )
{
	remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
}

//change_breadcrumb_delimiter, add class breadcrumb in wrap_before
function seopress_change_breadcrumb_delimiter( $defaults )
{
	$defaults['delimiter'] = ' <span class="woobreadcrumbdelimiter fa fa-chevron-right"></span> ';
	$defaults['wrap_before'] = '<div class="col-md-12"><nav class="woocommerce-breadcrumb breadcrumb" ' . ( is_single() ? 'itemprop="breadcrumb"' : '' ) . '>';
	$defaults['wrap_after']  = '</nav></div>';
	return $defaults;
}
add_filter( 'woocommerce_breadcrumb_defaults', 'seopress_change_breadcrumb_delimiter' );

// i want breadcrumb before main_content so priority is 30, breadcrumb priority is 20(default)
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper' );
add_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 30 );


if( get_theme_mod( 'seopress_display_related_prdkt', '1' ) == 0 )
{
	function seopress_remove_related_products( $args )
	{
		return array();
	}
	add_filter('woocommerce_related_products_args','seopress_remove_related_products', 10);
}


//Next ?
